LPCOpen Platform for LPC18XX/43XX microcontrollers: SDMMC_CARD_T Struct Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
SDMMC_CARD_T Struct Reference
CHIP: Common SD/MMC definitions

## Detailed Description

SD/MMC Card specific setup data structure.

Definition at line 193 of file sdmmc.h.

`#include "sdmmc.h"`

## Data Fields
uint32_t | response [4]
uint32_t | cid [4]
uint32_t | csd [4]
uint32_t | ext_csd [512/4]
uint32_t | card_type
uint16_t | rca
uint32_t | speed
uint32_t | block_len
uint64_t | device_size
uint32_t | blocknr
uint32_t | clk_rate
SDMMC_EVSETUP_FUNC_T | evsetup_cb
SDMMC_EVWAIT_FUNC_T | waitfunc_cb
SDMMC_MSDELAY_FUNC_T | msdelay_func

## Field Documentation

uint32_t block_len

Card sector size

Definition at line 201 of file sdmmc.h.

uint32_t blocknr

Block Number

Definition at line 203 of file sdmmc.h.

uint32_t card_type

Card Type

Definition at line 198 of file sdmmc.h.

uint32_t cid[4]

CID of acquired card

Definition at line 195 of file sdmmc.h.

uint32_t clk_rate

Definition at line 204 of file sdmmc.h.

uint32_t csd[4]

CSD of acquired card

Definition at line 196 of file sdmmc.h.

uint64_t device_size

Device Size

Definition at line 202 of file sdmmc.h.

SDMMC_EVSETUP_FUNC_T evsetup_cb

Clock rate Function to setup event information

Definition at line 205 of file sdmmc.h.

uint32_t ext_csd[512/4]

Ext CSD

Definition at line 197 of file sdmmc.h.

SDMMC_MSDELAY_FUNC_T msdelay_func

Function to sleep in ms

Definition at line 207 of file sdmmc.h.

uint16_t rca

Relative address assigned to card

Definition at line 199 of file sdmmc.h.

uint32_t response[4]

Most recent response

Definition at line 194 of file sdmmc.h.

uint32_t speed

Speed

Definition at line 200 of file sdmmc.h.

SDMMC_EVWAIT_FUNC_T waitfunc_cb

Function to wait for event

Definition at line 206 of file sdmmc.h.

The documentation for this struct was generated from the following file:

- C:/w/lpcopen_docs/software/lpc_core/lpc_chip/chip_common/sdmmc.h